Skip to content
Changelog

Report a bug

NetHunt CRM integration: operations for AI agents

NetHunt CRM connects to Type.com as an integration. This page lists the 17 operations documented for Claude and Codex in Type.com: 11 read, 4 write, 2 destructive.

About NetHunt CRM

NetHunt is a Gmail CRM that brings sales automation and drip campaigns straight to your inbox

Categories: Sales & CRM

How to connect NetHunt CRM to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

17 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

triggers

  • Read

    List all accessible folders

    Documented result: id: Folder ID; name: Folder name.

    GET /api/v1/zapier/triggers/readable-folder

  • Read

    List folders which the user can create records in

    Documented result: id: Folder ID; name: Folder name.

    GET /api/v1/zapier/triggers/writable-folder

  • Read

    List folder fields

    Request parameter Description Default value: folderId: Folder ID to list fields: Required. Documented result fields: name: Folder field name.

    GET /api/v1/zapier/triggers/folder-field/{folderId}

  • Read

    Find recently created records

    Request parameter Description Default value: folderId: Folder ID to find new records in: Required; since: Only records created after this time are returned: 24 hours before time of request; limit: Maximum number of records to return: No limit. Documented result fields: id: For internal purposes only; recordId: Record ID; createdAt: Time of record creation; fields: Field names and values.

    GET /api/v1/zapier/triggers/new-record/{folderId}

  • Read

    Find recently created record comments

    Request parameter Description Default value: folderId: Folder ID to find new record comments in: Required; since: Only record comments created after this time are returned: 24 hours before time of request; limit: Maximum number of record comments to return: No limit. Documented result fields: id: For internal purposes only; commentId: Comment ID; recordId: Record ID; createdAt: Time of comment creation; text: Comment text.

    GET /api/v1/zapier/triggers/new-comment/{folderId}

  • Read

    Find recently created call logs

    Request parameter Description Default value: folderId: Folder ID to find new call logs in: Required; since: Only call logs created after this time are returned: 24 hours before time of request; limit: Maximum number of call logs to return: No limit. Documented result fields: id: For internal use only; callLogId: Call log ID; recordId: Record ID; createdAt: Time when call log is created; text: Comment text; duration: Call duration; time: Time when logged call started; endTime: Time when logged call ended.

    GET /api/v1/zapier/triggers/new-call-log/{folderId}

  • Read

    Find recently created Google Drive files

    Request parameter Description Default value: folderId: Folder ID to find new Google Drive files in: Required; since: Only Google Drive files created after this time are returned: 24 hours before time of request; limit: Maximum number of Google Drive files to return: No limit. Documented result fields: id: For internal use only; fileId: File ID; folderId: Folder ID; recordId: Record ID; createdAt: Time Google Drive file is created; googleDriveFileId: File ID in Google Drive; iconUrl: File Icon URL; mimeType: File mime type; name: File name; url: URL to view the file in Google Drive.

    GET /api/v1/zapier/triggers/new-gdrivefile/{folderId}

  • Read

    Find recently updated records

    Request parameter Description Default value: folderId: Folder ID to find updated records in: Required; fieldName: Field name to limit updates observed: Optional, multiple parameters with the same name allowed; since: Only records updated after this time are returned: 24 hours before time of request; limit: Maximum number of records to return: No limit. Documented result fields: id: For internal purposes only; recordId: Record ID; createdAt: Time of record creation; updatedAt: Time of last record update; fields: Field names and values.

    GET /api/v1/zapier/triggers/updated-record/{folderId}

  • Read

    Find recent record changes

    Request parameter Description Default value: folderId: Folder ID: Required; recordId: Record ID to look for single record changes: If missing, changes for all folder records are returned; fieldName: Field name to limit changes observed: Optional, multiple parameters with the same name allowed; since: Only changes made after this time are returned: 24 hours before time of request; limit: Maximum number of changes to return: No limit. Documented result fields: id: For internal purposes only; recordId: Record ID; time: Time of record change; user: User who made that change; recordAction: One of CREATE, UPDATE, DELETE; fieldActions: Names of record fields along with actual changes made to them.

    GET /api/v1/zapier/triggers/record-change/{folderId}

  • Read

    Verify request credentials

    Documented result: user: Name and email address of the user who makes the request.

    GET /api/v1/zapier/triggers/auth-test

searches

  • Read

    Find records by ID or text query

    Request parameter Description Default value: folderId: Folder ID to find records in: Required; recordId: Record ID if available: Either recordId or query must be specified; query: Search query to narrow records returned: Either recordId or query must be specified; limit: Maximum number of records to return: 1. Documented result fields: id: For internal purposes only; recordId: Record ID; createdAt: Time of record creation; updatedAt: Time of last record update; fields: Field names and values.

    GET /api/v1/zapier/searches/find-record/{folderId}

actions

  • Write

    Create a new record

    Request parameters and fields Description Default value: folderId: Folder ID to create a record in: Required; timeZone: User time zone: Required; fields: Field names and values: Required. Documented result fields: recordId: Record ID; createdAt: Time of record creation; fields: Field names and values.

    POST /api/v1/zapier/actions/create-record/{folderId}

  • Write

    Create a new record comment

    Request parameters and fields Description Default value: recordId: Record ID to create a comment for: Required; text: Actual comment text: Required. Documented result fields: commentId: Comment ID; createdAt: Time of comment creation.

    POST /api/v1/zapier/actions/create-comment/{recordId}

  • Write

    Create a new record call log

    Request parameters and fields Description Default value: recordId: Record ID to create a call log for: Required; text: Actual call log text: Required; time: ISO-formatted time in UTC when the call started: ; duration: Call log duration in minutes: . Documented result fields: callLogId: Call Log ID; createdAt: Time of call log creation.

    POST /api/v1/zapier/actions/create-call-log/{recordId}

  • Write

    Add a Gmail thread to a record

    Request parameters and fields Description Default value: recordId: Record ID to link with an email thread: Required; gmailThreadId: Gmail conversation ID to link with a record: Required.

    POST /api/v1/zapier/actions/link-gmail-thread/{recordId}

  • Destructive

    Update a record

    Request parameters and fields Description Default value: recordId: Record ID: Required; overwrite: Default "overwrite" setting for the field actions: false; fieldActions: Names of record fields along with actions to perform: Required. Field action fields Description Default value: overwrite: Clears existing record field value (do not use with "remove"): If missing, the query parameter "overwrite" is used; remove: Value(s) to remove (do not use with "overwrite" enabled): Optional; add: Value(s) to add to the field. If the field can hold only single value and is not empty, either "remove" or "overwrite" must be used.: Optional. Documented result fields: recordId: Record ID; updatedAt: Time of last record update; fields: Field names and values.

    POST /api/v1/zapier/actions/update-record/{recordId}

  • Destructive

    Delete a record

    Request parameters and fields Description Default value: recordId: Record ID: Required.

    POST /api/v1/zapier/actions/delete-record/{recordId}

See How connections work for access and permissions, or browse all integrations.